SpacingPropertyMaker (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.fo.properties

## Class SpacingPropertyMaker

- java.lang.Object
- - org.apache.fop.fo.properties.PropertyMaker
  - - org.apache.fop.fo.properties.CompoundPropertyMaker
    - - org.apache.fop.fo.properties.SpaceProperty.Maker
      - - org.apache.fop.fo.properties.SpacingPropertyMaker

- All Implemented Interfaces:
    Cloneable

      public class SpacingPropertyMaker
      extends SpaceProperty.Maker

  A maker which creates 'letter-spacing' and 'word-spacing' properties. These two properties properties are standard space properties with additinal support for the 'normal' enum value.

- - ### Property Summary

    - ### Properties inherited from class org.apache.fop.fo.properties.SpaceProperty.Maker

      `makeNewProperty`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.fo.properties.PropertyMaker

      `contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpacingPropertyMaker(int propId)` Create a maker for [letter|word]-spacing.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Property` | `convertProperty(Property p, PropertyList propertyList, FObj fo)` Support for the 'normal' value.

    - ### Methods inherited from class org.apache.fop.fo.properties.SpaceProperty.Maker

      `makeNewProperty`

    - ### Methods inherited from class org.apache.fop.fo.properties.CompoundPropertyMaker

      `addSubpropMaker, checkEnumValues, get, getSubpropMaker, make, make, make, makeCompound, useGeneric`

    - ### Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

      `addEnum, addKeyword, addShorthand, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, getName, getPercentBase, getPropId, getShorthand, getSubprop, isInherited, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpacingPropertyMaker

          public SpacingPropertyMaker(int propId)

      Create a maker for [letter|word]-spacing.
      Parameters:
        `propId` - the id for property.

  - ### Method Detail

    - #### convertProperty

          public Property convertProperty(Property p,
                                          PropertyList propertyList,
                                          FObj fo)
                                   throws PropertyException

      Support for the 'normal' value.
      Overrides:
        `convertProperty` in class `SpaceProperty.Maker`
      Parameters:
        `p` - the property to convert
        `propertyList` - the property list to use in conversion
        `fo` - the FO to use in conversion
      Returns:
        the converted property
      Throws:
        `PropertyException` - if a property conversion exception occurs

Copyright © 2025 Apache Software Foundation. All rights reserved.